Bug 16494 - Remove the use of "onclick" from some patron pages
Summary: Remove the use of "onclick" from some patron pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16557 16781
  Show dependency treegraph
 
Reported: 2016-05-10 18:02 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16494 - Remove the use of "onclick" from some patron pages (12.06 KB, patch)
2016-05-11 12:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16494 - Remove the use of "onclick" from some patron pages (12.08 KB, patch)
2016-06-03 10:58 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 16494 - Remove the use of "onclick" from some patron pages (12.15 KB, patch)
2016-06-21 12:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-10 18:02:33 UTC
Several patron-related pages include the use of "onclick" attributes. These should be replaced in favor of defining events in JavaScript.
Comment 1 Owen Leonard 2016-05-11 12:10:49 UTC Comment hidden (obsolete)
Comment 2 Filippos Kolovos 2016-06-03 10:56:08 UTC
Has been tested in PTFS Europe Sandbox 1 and passed all test, except for the Notices Sent test, because it is not possible to test Notices in a Sandbox.
Comment 3 PTFS Europe Sandboxes 2016-06-03 10:58:16 UTC
Patch tested with a sandbox, by FILIPPOS KOLOVOS <f.kolovos@gmail.com>
Comment 4 PTFS Europe Sandboxes 2016-06-03 10:58:37 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-21 12:50:36 UTC
Created attachment 52644 [details] [review]
Bug 16494 - Remove the use of "onclick" from some patron pages

This patch removes the use of "onclick" attributes from some patron
pages.

To test, apply the patch and:

- In Patrons, perform any search which will return multiple results.
  Confirm that the "select all" and "clear all" links work as expected.
  Font Awesome icons have been added to these links.

  In the left-hand sidebar, change any of the filters and click the
  "Clear" button. The form (and your search results) should reset.

- Open the 'Set permissions' page for any patron. Checking any
  permission with sub-permissions should correctly expand the tree and
  select all sub-permissions. The reverse should also work.

  Also changed in this file: The "Inconsistency detected" alert has been
  reformatted to make it translatable.

- View the detail page for a patron with one or more restrictions.
  Clicking the "View restrictions" link at the top of the page should
  jump you to and activate the restrictions tab.

- View the 'Notices' tab for a patron who has been sent one or more
  notices. Click any notice title to expand the notice. Clicking the
  "resend" button should resend the notice.

- Create a new patron with the same first and last name as an existing
  patron. This should trigger a duplicate warning message. Click the
  "View existing record" link to trigger a pop-up window with a patron
  detail brief view.

  In this window an "email" class has been added to the primary and
  secondary email lines so that long email addresses don't overlap the
  second column of data.

  Confirm that clicking the "close" button in this window closes the
  window. The changes to staff-global.css are included in this patch to
  prevent the close button from having an incorrect color change on
  hover.

Signed-off-by: FILIPPOS KOLOVOS <f.kolovos@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-06-24 13:46:56 UTC
Pushed to master for 16.11, thanks Owen!
Comment 7 Frédéric Demians 2016-08-01 13:17:22 UTC
Pushed in 16.05. Will be in 16.05.02.